These docs are for v2.1. Click to read the latest docs for v3.0-HIP.

Profile

Returns the human profile
GET https://api.humanapi.co/v1/human/profile

# Returns a json object:
{
  "userId": "52e20cb2fff56aac62000001",
  "createdAt": "2014-01-24T06:48:18.361Z",
  "email": "[email protected]",
  "defaultTimeZone": {
    "name": "UTC"
  },
  "humanId": "5dc2527186aaf9de560e5841f1a44bd6"
}
# Get user's health profile
curl -H "Authorization: Bearer demo" "https://api.humanapi.co/v1/human/profile"

Response Properties

PropertyTypeDescription
userIdString[deprecated - use humanId]
humanIdStringUnique user identifier
emailStringThe user’s email address, if known
createdAtDateThe time the measurement was created on the Human API server
updatedAtDateThe time the measurement was updated on the Human API server
Language
Response
Click Try It! to start a request and see the response here!